summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeroen Roovers <jer@gentoo.org>2020-07-28 06:24:23 +0200
committerJeroen Roovers <jer@gentoo.org>2020-07-28 06:28:57 +0200
commitabcfdb3481eca4311364fdbe35c695df7f7ad6e2 (patch)
tree91da5d81d0d5f54bac75df3fe0ec9789fccff344
parentdev-python/path-py: Remove old (diff)
downloadgentoo-abcfdb3481eca4311364fdbe35c695df7f7ad6e2.tar.gz
gentoo-abcfdb3481eca4311364fdbe35c695df7f7ad6e2.tar.bz2
gentoo-abcfdb3481eca4311364fdbe35c695df7f7ad6e2.zip
net-misc/youtube-dl: Version 2020.07.28
Package-Manager: Portage-3.0.1, Repoman-2.3.23 Signed-off-by: Jeroen Roovers <jer@gentoo.org>
-rw-r--r--net-misc/youtube-dl/Manifest1
-rw-r--r--net-misc/youtube-dl/youtube-dl-2020.07.28.ebuild74
2 files changed, 75 insertions, 0 deletions
diff --git a/net-misc/youtube-dl/Manifest b/net-misc/youtube-dl/Manifest
index 2c88023fad1..38a034c10d4 100644
--- a/net-misc/youtube-dl/Manifest
+++ b/net-misc/youtube-dl/Manifest
@@ -1 +1,2 @@
DIST youtube-dl-2020.06.16.1.tar.gz 3177873 BLAKE2B 8bf2df25b416c4a48b2b4a14466f15f99b1bbe0b4900c18e30bc3edab66a54b036f95025218cb584f820f3c45b2ab2e805f21e2d6548078d49c6a122fb52716d SHA512 2f0c01cd1a52293afd8c4fddc20b6f7baca94903fbe852769ad1d25740bd87e38d42ee4a275c2e3d611c639c432f6245d27f361471c6b566da03677384a04e54
+DIST youtube-dl-2020.07.28.tar.gz 3179686 BLAKE2B 0f4a611a8d455a79193711746fee592995d1965128a866fc7f7f8833bc76a09b2197c15625399ea5f44f5de5695ad5e40e4c50bb11ddc2ed88ad5df44a9db93b SHA512 be18cd53577a1e750a9610d481225b5683414ee4a095aa90b1a9ef150e9009bec4c2188f19f13505c88ac0179872751a07f5fb4b591beca3cefd11ccf071132d
diff --git a/net-misc/youtube-dl/youtube-dl-2020.07.28.ebuild b/net-misc/youtube-dl/youtube-dl-2020.07.28.ebuild
new file mode 100644
index 00000000000..27edc068096
--- /dev/null
+++ b/net-misc/youtube-dl/youtube-dl-2020.07.28.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=(python3_{6,7,8})
+inherit bash-completion-r1 distutils-r1 readme.gentoo-r1
+
+DESCRIPTION="Download videos from YouTube.com (and more sites...)"
+HOMEPAGE="https://github.com/ytdl-org/youtube-dl/"
+SRC_URI="https://youtube-dl.org/downloads/${PV}/${P}.tar.gz"
+LICENSE="public-domain"
+
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x86-solaris"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+RDEPEND="
+ dev-python/pycryptodome[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+"
+DEPEND="
+ ${RDEPEND}
+ test? (
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/flake8[${PYTHON_USEDEP}]
+ )
+"
+S=${WORKDIR}/${PN}
+
+src_compile() {
+ distutils-r1_src_compile
+}
+
+python_test() {
+ emake offlinetest
+}
+
+python_install_all() {
+ dodoc README.txt
+ doman ${PN}.1
+
+ newbashcomp ${PN}.bash-completion ${PN}
+
+ insinto /usr/share/zsh/site-functions
+ newins ${PN}.zsh _${PN}
+
+ insinto /usr/share/fish/vendor_completions.d
+ doins ${PN}.fish
+
+ distutils-r1_python_install_all
+
+ rm -r "${ED}"/usr/etc || die
+ rm -r "${ED}"/usr/share/doc/youtube_dl || die
+}
+
+pkg_postinst() {
+ elog "${PN}(1) / https://bugs.gentoo.org/355661 /"
+ elog "https://github.com/rg3/${PN}/blob/master/README.md#faq :"
+ elog
+ elog "${PN} works fine on its own on most sites. However, if you want"
+ elog "to convert video/audio, you'll need ffmpeg (media-video/ffmpeg)."
+ elog "On some sites - most notably YouTube - videos can be retrieved in"
+ elog "a higher quality format without sound. ${PN} will detect whether"
+ elog "ffmpeg is present and automatically pick the best option."
+ elog
+ elog "Videos or video formats streamed via RTMP protocol can only be"
+ elog "downloaded when rtmpdump (media-video/rtmpdump) is installed."
+ elog
+ elog "Downloading MMS and RTSP videos requires either mplayer"
+ elog "(media-video/mplayer) or mpv (media-video/mpv) to be installed."
+ elog
+ elog "If you want ${PN} to embed thumbnails from the metadata into the"
+ elog "resulting MP4 files, consider installing media-video/atomicparsley"
+}